#  html page composer from templates
# pagetitle - title for composed page
# pagebody - body source
=begin
    Copyright (C) 2008  Tom Gregorovi, _tom_ at centrum.cz

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
=end

require 'erb'
require 'cgi'

class PageComposer
  def out(template = 'template.rhtml')
    templatefile = File.new(template)

    prepage = ERB.new(templatefile.readlines.join)
    templatefile.close
    page = ERB.new(prepage.result)

    cgi = CGI.new('html4')
    cgi.out { page.result }
  end
end
